<?php

/*

Plugin Name:modern contact form

Plugin URI: http://moderni.in

Description: This Plugin Simply used for contacting admin

Version: 0.1

Author: ModernI Info

Author URI: http://moderni.in

License: GPL2

*/



register_activation_hook(__FILE__,'modern_install');

add_action('admin_init','only_add');

add_action('modern-default-setting','default_email');

add_action('admin_menu','modern_creation');

//include_once('modern_contact_meta.php');

include_once('setting_modern_form.php');



function modern_install()

{   global $wp_version;

    do_action('modern-default-setting');

    if(version_compare($wp_version,"2.9","<"))

    {

        deactivate_plugins(basename(__FILE__));

        wp_die("This Plugin Requires Wordpress Version 2.9 or Higher");

    }

}

function only_add()

{

     wp_enqueue_script('modernform',plugins_url("modern-i-infotech-contact-form/include/modernform.js"));

     wp_enqueue_style('modern-form-css',plugins_url("modern-i-infotech-contact-form/include/modern-css.css"));

}



function default_email()

{

    add_option('email_used','Example@mm.com','','yes');

    add_option('modern_privatekey','Enter private key','','yes');

    add_option('modern_publickey','Enter public key','','yes');

    

}

function modern_creation()

{

add_options_page('modern contact form', 'MODERN FORM', 'manage_options', 'modern-contact', 'modern_form');



 }



function modern_form()

{

    

    global $current_user;

   

      get_currentuserinfo();

      $uemail = $current_user->user_email;



      

      

      

      

if(isset ($_POST['update']))

{

  update_option('email_radio', $_POST['selectingemail']);

  update_option('email_used', $_POST['useemail']);

  update_option('modern_check_captch',$_POST['addcaptcha']);

  update_option('modern_privatekey',$_POST['private']);

  update_option('modern_publickey',$_POST['public']);

}

 

//$email_radio = get_option('email_radio');

    //  $read_captcha = get_option('modern_check_captch');



       if('1' == get_option('email_radio'))

     {

          $checked="checked"; 

          

          

      }

     else if('2' == get_option('email_radio')){

          $checked1="checked";

          

          }

      

      if('on' == get_option('modern_check_captch'))

      {

          $moderncheck = "checked";

           $required="required";

          

      }

      else{

          $moderncheck = "";

          $required=" ";

      }

            

      

      

      

      

    ?>

<form method="post" name="modern_form" action="" id="modern_form" class="formstyle">

    

    <h1 class="texth">Contact form</h1>

    <h3 class="texth">Add [modern_contact] short code in post</h3>

        <table class="mtable">

        <tr><td align="center" colsapn="2"><label>Wordpress User:</label></td>

            <td><input type="text" disabled value="<?php echo $current_user->display_name; ?>"/></td></tr>

       

        <tr><td><label>Admin Email:</label></td><td><input type="radio" name="selectingemail" value="1" <?php echo $checked; ?>/>

        <input disabled="true" name="demail" type="text" value="<?php echo $uemail; ?> "/><small>Set an email address which will be used for sending messages.</small></td></tr>

        <tr><td><label>Use This Email:</label></td><td><input type="radio" name="selectingemail" value="2" <?php echo $checked1; ?>/>

        <input type="email" <?php echo $required; ?> value="<?php echo get_option('email_used');?>" name="useemail"/><small>Set an email address which will be used for sending message.</small></td></tr></table>

    <div><input type="checkbox" name="addcaptcha" id="addcaptcha"<?php echo $moderncheck; ?>/><h3 class="texth">Add Captcha to your contact form:<h3><small class="small">(Must Enter Private & Public Key)</small></div>

    <div class="two">

        <table>

        <tr><td><label>Private Key:</td><td><input type="text" value="<?php echo get_option('modern_privatekey'); ?>" size="40" name="private" <?php echo $required;?>/></td>

            <td><a href="https://www.google.com/recaptcha"> Add Your Private Key & Public Key From </a></td>

        </tr>

        <tr><td><label>Public Key:</td><td><input type="text" size="40" value="<?php echo get_option('modern_publickey');?>" name="public" /></td></tr>

        </table>    

    </div>

    <div><input type="submit" value="save changes" name="update"/></div>   

    

    

</form>

<script>

    $(document).ready(function() {

     $(".two").hide();



    });

    

    $('#addcaptcha').change(function(){

    if ($(this).is(':checked')){

    $(".two").show();   }

   else{$(".two").hide();}

    });

</script>

<?php } ?>